> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tedro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Backfill step cost totals

> Recompute `totalUsd` on workflow_run_step rows that have token data but no cost total. Admin only.



## OpenAPI

````yaml /api-reference/openapi.json post /api/metrics/backfill-costs
openapi: 3.1.0
info:
  title: Tedro API
  version: 1.0.0
  description: REST API for the Tedro communication operations platform.
servers:
  - url: https://api.tedro.io
    description: Production
security:
  - sessionCookie: []
    workspaceId: []
paths:
  /api/metrics/backfill-costs:
    post:
      tags:
        - Metrics
      summary: Backfill step cost totals
      description: >-
        Recompute `totalUsd` on workflow_run_step rows that have token data but
        no cost total. Admin only.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BackfillCostsBody'
      responses:
        '200':
          description: Backfill counts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BackfillCostsResponse'
        '401':
          description: Unauthorized - missing or invalid session cookie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - insufficient role (admin required)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - sessionCookie: []
          workspaceId: []
components:
  schemas:
    BackfillCostsBody:
      type: object
      properties: {}
      additionalProperties: false
      description: >-
        Empty body — backfills totalUsd on workflow_run_step rows that have
        token data
    BackfillCostsResponse:
      type: object
      properties:
        updated:
          type: integer
        total:
          type: integer
      required:
        - updated
        - total
      description: Count of steps whose totalUsd was recomputed
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Session cookie set by Better Auth on sign-in.
    workspaceId:
      type: apiKey
      in: header
      name: x-workspace-id
      description: Workspace UUID. Required on all /api/* endpoints.

````